Variable used to add and delete new TCP neighbor entries. When writting it admits the value 2 (add) and 3 (delete), and when reading it will be got the value 1 (valid) if the last operation succeeded, and 4 (invalid) if failed.
OID reference
telProdNpMonProtDLSwTCPConfCommand
1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.2
Description
Variable used to add and delete new TCP neighbor entries. When writting it admits the value 2 (add) and 3 (delete), and when reading it will be got the value 1 (valid) if the last operation succeeded, and 4 (invalid) if failed.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1 (telProdNpMonProtDLSwTCPConfigEntry)
- Node code
- 2
- Node name
- telProdNpMonProtDLSwTCPConfCommand
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.2
- URN notation
- urn:oid:1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.2
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 2007 4 1 2 3 7 10 2 1 2}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsNucleox(1) telProductsNpMonit(2) telProdNpMonProtocols(3) telProdNpMonProtDLSw(7) telProdNpMonProtDLSwTCPGroup(10) telProdNpMonProtDLSwTCPConfigTable(2) telProdNpMonProtDLSwTCPConfigEntry(1) telProdNpMonProtDLSwTCPConfCommand(2)}
- OID-IRI notation
- /1/3/6/1/4/1/2007/4/1/2/3/7/10/2/1/2
- /ISO/Identified-Organization/6/1/4/1/2007/4/1/2/3/7/10/2/1/2
- /ISO/3/6/1/4/1/2007/4/1/2/3/7/10/2/1/2
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/enterprises/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/enterprises/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/vendor-objects/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/identified-organization/dod/internet/private/vendor-objects/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/enterprises/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/enterprises/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/vendor-objects/2007/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- /iso/org/dod/internet/private/vendor-objects/teldat/telproducts/telProductsNucleox/telProductsNpMonit/telProdNpMonProtocols/telProdNpMonProtDLSw/telProdNpMonProtDLSwTCPGroup/telProdNpMonProtDLSwTCPConfigTable/telProdNpMonProtDLSwTCPConfigEntry/telProdNpMonProtDLSwTCPConfCommand
- Additional combinations skipped.
SNMP properties
- Value type
- INTEGER
- Maximum access defined by MIB
- read-write
- Status in MIB
- mandatory
Enumerated values
| Value | Name |
|---|---|
| 1 | valid |
| 2 | add |
| 3 | delete |
| 4 | not_valid |
Using this OID with SNMP
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In TELDAT-MON-PROTOCOL-DLSw-MIB, the row index telProdNpMonProtDLSwTCPConfIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.2.<telProdNpMonProtDLSwTCPConfIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.2
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
telProdNpMonProtDLSwTCPConfCommand OBJECT-TYPE
SYNTAX INTEGER {
not_valid(4),
delete(3),
add(2),
valid(1)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Variable used to add and delete new TCP neighbor entries.
When writting it admits the value 2 (add) and 3 (delete), and
when reading it will be got the value 1 (valid) if the last operation
succeeded, and 4 (invalid) if failed."
::={ telProdNpMonProtDLSwTCPConfigEntry 2 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1Teldat MIB copies (MibBrowser.online)
telProdNpMonProtDLSwTCPConfCommand · mandatoryTeldat MIB copies (MibBrowser.online)
Status in source: mandatory.
Names: telProdNpMonProtDLSwTCPConfCommand
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"telProdNpMonProtDLSwTCPConfCommand",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"not_valid",
"(",
"4",
")",
",",
"delete",
"(",
"3",
")",
",",
"add",
"(",
"2",
")",
",",
"valid",
"(",
"1",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Variable used to add and delete new TCP neighbor entries. When writting it admits the value 2 (add) and 3 (delete), and when reading it will be got the value 1 (valid) if the last operation succeeded, and 4 (invalid) if failed.\"",
"::=",
"{",
"telProdNpMonProtDLSwTCPConfigEntry",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"not_valid",
4
],
[
"delete",
3
],
[
"add",
2
],
[
"valid",
1
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Variable used to add and delete new TCP neighbor entries. When writting it admits the value 2 (add) and 3 (delete), and when reading it will be got the value 1 (valid) if the last operation succeeded, and 4 (invalid) if failed."
],
null,
null,
null,
null
]
}- Teldat MIB copies (MibBrowser.online)
· Publisher's source file: TELDAT-MON-PROTOCOL-DLSw-MIB — archive MIB indexed for Teldat
Vendor MIB copy from the MibBrowser.online archive. Teldat support.
Module: TELDAT-MON-PROTOCOL-DLSw-MIB
See published definition above
· Download TELDAT-MON-PROTOCOL-DLSw-MIB — archive MIB indexed for TeldatModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'TELDAT-SW-STRUCTURE-MIB': ['telProdNpMonProtocols']}Related source files and packages:
- RFC-1212 — dependency MIB (MibBrowser.online)
- RFC1155-SMI — dependency MIB (MibBrowser.online)
- RFC1213-MIB — dependency MIB (MibBrowser.online)
Show more related files and packages
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.2007)
Siblings (15)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.1 | telProdNpMonProtDLSwTCPConfIndex | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.3 | telProdNpMonProtDLSwTCPConfIpAddr | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.4 | telProdNpMonProtDLSwTCPConfTxBufsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.5 | telProdNpMonProtDLSwTCPConfRxBufsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.6 | telProdNpMonProtDLSwTCPConfMaxSegsize | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.7 | telProdNpMonProtDLSwTCPConfKeepAlive | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.8 | telProdNpMonProtDLSwTCPConfPriority | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.9 | telProdNpMonProtDLSwTCPConfCnxMode | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.10 | telProdNpMonProtDLSwTCPConfInacTime | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.11 | telProdNpMonProtDLSwTCPConfLowPriMax | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.12 | telProdNpMonProtDLSwTCPConfLowPriMin | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.13 | telProdNpMonProtDLSwTCPConfLowPriRetries | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.14 | telProdNpMonProtDLSwTCPConfLowPriTimeout | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.15 | telProdNpMonProtDLSwTCPConfLowPriMaxPercent | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.1.2.3.7.10.2.1.16 | telProdNpMonProtDLSwTCPConfLowPriMinPercent | 0 | 0 |